## The ClusterListener object

### Table of Contents

- Introduction
- org.apache.catalina.ha.session.ClusterSessionListener
- Attributes
  1. Common Attributes

### Introduction

The `org.apache.catalina.ha.ClusterListener` base class lets you listen in on messages that are received by the `Cluster` component.

### org.apache.catalina.ha.session.ClusterSessionListener

When using the DeltaManager, the messages are received by the Cluster object and are propagated to the to the manager through this listener.

### Attributes

#### Common Attributes

Attribute | Description
--- | ---
`className` |

### Comments

Notice: This comments section collects your suggestions on improving documentation for Apache Tomcat.
If you have trouble and need help, read Find Help page and ask your question on the tomcat-users mailing list. Do not ask such questions here. This is not a Q&A section.
The Apache Comments System is explained here. Comments may be removed by our moderators if they are either implemented or considered invalid/off-topic.